Page MenuHomePhabricator

Two new namespaces for hy.wikipedia.org
Closed, ResolvedPublic

Description

Hi,

Please create "Draft" and "WikiProject" namespaces for hy.wikipedia.org. Local names are:

Draft - Սևագիր
Draft talk - Սևագրի քննարկում
WikiProject - Վիքինախագիծ
WikiProject talk - Վիքինախագծի քննարկում

Here you can find the discussion/poll about those namespaces and here are the corresponding polices: WikiProject, Drafts.

Thank you!

Event Timeline

Ashot1997 created this task.Aug 9 2020, 5:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2020, 5:32 AM

Change 619151 had a related patch set uploaded (by Ashot1997; owner: Ashot Janibekyan):
[operations/mediawiki-config@master] adding new namespaces for hywiki according to https://phabricator.wikimedia.org/T259987

https://gerrit.wikimedia.org/r/619151

This is the first time I'm trying to use gerrit.wikimedia.org and change the code myself. Sorry if I'm not supposed to do that or if did something wrong.

Urbanecm assigned this task to Ashot1997.EditedAug 10 2020, 11:33 AM
Urbanecm triaged this task as Medium priority.
Urbanecm added a subscriber: Urbanecm.

@Ashot1997 Good work :-). Just few notes: The task number is mentioned via Bug: Txxxxx at the end of the commit message, see how I did it. Also, namespace names must use <del>spaces</del> (EDIT: underscores), otherwise, things will break :-). I fixed that as well.

Right now, I'm going to merge your patch, and deploy it to production.

If you work at further configuration requests, you'd need to schedule your patch - use any of the backport windows at https://wikitech.wikimedia.org/wiki/Deployments, and just add your patch. During the window, you need to be present in #wikimedia-operations IRC channel. The deployer will then guide you through the process. But as I said above, I'm now going to deploy that for you :-).

Mentioned in SAL (#wikimedia-operations) [2020-08-10T11:35:55Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 177148777e9c11a9f936d5d8b4d1c201ba9bf7fb: add two extra namespaces for hywiki (T259987) (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2020-08-10T11:37:01Z] <Urbanecm> Run mwscript namespaceDupes.php --wiki=hywiki --fix at mwmaint1002 (T259987)

Urbanecm closed this task as Resolved.Aug 10 2020, 11:37 AM

Should be all done now :).

Dear @Urbanecm thank you very much for you help and advice, I really appreciate that. I used _ instead of spaces because for hrwiki (the one above hywiki) was using 'Razgovor_o_dodatku' instead of 'Razgovor o dodatku'.

There is one more thing that I forgot to mention at the beginning (I'm so sorry): according to the policy the 'Draft' namespace should be indexed by default, is it so for the 118 namespace or I need to open a new task for that?

Dear @Ashot1997, no problem, I am happy to help. I'm sorry for my typo, I intended to write must not use spaces. The _ (underscore) is correct, but you used it in one namespace, and in the second, you used a space.

Regarding indexing, I'd prefer a new task, as the task "add new namespaces" was finished, and we now need to alter their configuration a bit. However, all namespaces are indexed by default, except when changed by wgNamespaceRobotPolicies (see T257112 for an example past task). See https://www.mediawiki.org/wiki/Manual:$wgNamespaceRobotPolicies for docs of that. If your intention is to have Draft NS indexed, you don't need to do anything. If your intention is to have not draft namespace indexed, then please open a new task, and ideally also upload a patch :-).

Let me know if there's anything else I should explain.